Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 6596)
@@ -22,11 +22,7 @@
    cp_cfg      =  "amm"                !  name of the configuration
    jp_cfg      =     011               !  resolution of the configuration
-   jpidta      =     198               !  1st lateral dimension ( >= jpi )
-   jpjdta      =     224               !  2nd    "         "    ( >= jpj )
-   jpkdta      =      51               !  number of levels      ( >= jpk )
-   jpiglo      =     198               !  1st dimension of global domain --> i =jpidta
-   jpjglo      =     224               !  2nd    -                  -    --> j  =jpjdta
-   jpizoom     =       1               !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1               !  in data domain indices
+!   jpkdta      =      51               !  number of levels      ( >= jpk )
+!   jpiglo      =     198               !  1st dimension of global domain --> i =jpidta
+!   jpjglo      =     224               !  2nd    -                  -    --> j  =jpjdta
    jperio      =       0               !  lateral cond. type (between 0 and 6)
 /
@@ -49,10 +45,4 @@
 !-----------------------------------------------------------------------
    rn_rdt      =   600.    !  time step for the dynamics (and tracer if nn_acc=0)
-   ppglam0     =  999999.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
-   ppgphi0     =  999999.0             ! latitude  of first raw and column T-point (jphgr_msh = 1)
-   ppe1_deg    =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_deg    =  999999.0             !  meridional grid-spacing (degrees)
-   ppe1_m      =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_m      =  999999.0             !  meridional grid-spacing (degrees)
    ppsur       =  999999.0             !  ORCA r4, r2 and r05 coefficients
    ppa0        =  999999.0             ! (default coefficients)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg	(revision 6596)
@@ -18,11 +18,9 @@
    cp_cfg      =  "papa"                 !  name of the configuration
    jp_cfg      =       1                 !  resolution of the configuration
-   jpidta      =       3                 !  1st lateral dimension ( >= jpi ) = 30*jp_cfg+2
-   jpjdta      =       3                 !  2nd    "         "    ( >= jpj ) = 20*jp_cfg+2 
-   jpkdta      =      75                 !  number of levels      ( >= jpk )
-   jpiglo      =       3                 !  1st dimension of global domain --> i  = jpidta
-   jpjglo      =       3                 !  2nd    -                  -    --> j  = jpjdta
-   jpizoom     =       1                 !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1                 !  in data domain indices
+!   jpidta      =       3                 !  1st lateral dimension ( >= jpi ) = 30*jp_cfg+2
+!   jpjdta      =       3                 !  2nd    "         "    ( >= jpj ) = 20*jp_cfg+2 
+!   jpkdta      =      75                 !  number of levels      ( >= jpk )
+!   jpiglo      =       3                 !  1st dimension of global domain --> i  = jpidta
+!   jpjglo      =       3                 !  2nd    -                  -    --> j  = jpjdta
    jperio      =       0                 !  lateral cond. type (between 0 and 6)
 /
@@ -43,5 +41,4 @@
    nn_msh      =    0      !  create (=1) a mesh file or not (=0)
    rn_rdt      =  360.     !  time step for the dynamics 
-   jphgr_msh   =       1                 !  type of horizontal mesh
    ppglam0     =    -150.0               !  longitude of first raw and column T-point (jphgr_msh = 1)
    ppgphi0     =      50.0               ! latitude  of first raw and column T-point (jphgr_msh = 1)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg	(revision 6596)
@@ -26,14 +26,7 @@
 &namcfg     !   parameters of the configuration   
 !-----------------------------------------------------------------------
-   ln_read_cfg = .false.  !!gm .false.   !  flag to read (.true.) configuration definition files (coordinates,
+   ln_read_cfg = .true.  !!gm .false.   !  flag to read (.true.) configuration definition files (coordinates,
    cp_cfg      =  "gyre"                 !  name of the configuration
    jp_cfg      =       1                 !  resolution of the configuration
-   jpidta      =      32                 !  1st lateral dimension ( >= jpi ) = 30*jp_cfg+2
-   jpjdta      =      22                 !  2nd    "         "    ( >= jpj ) = 20*jp_cfg+2 
-   jpkdta      =      31                 !  number of levels      ( >= jpk )
-   jpiglo      =      32                 !  1st dimension of global domain --> i  = jpidta
-   jpjglo      =      22                 !  2nd    -                  -    --> j  = jpjdta
-   jpizoom     =       1                 !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1                 !  in data domain indices
    jperio      =       0                 !  lateral cond. type (between 0 and 6)
 /
@@ -53,12 +46,5 @@
    nn_bathy    =    0      !  compute (=0) or read (=1) the bathymetry file
    rn_rdt      = 7200.     !  time step for the dynamics 
-   jphgr_msh   =       5                 !  type of horizontal mesh
    nn_msh      =    1      !  create (=1) a mesh file or not (=0)
-   ppglam0     =       0.0               !  longitude of first raw and column T-point (jphgr_msh = 1)
-   ppgphi0     =      29.0               ! latitude  of first raw and column T-point (jphgr_msh = 1)
-   ppe1_deg    =  999999.0               !  zonal      grid-spacing (degrees)
-   ppe2_deg    =  999999.0               !  meridional grid-spacing (degrees)
-   ppe1_m      =  999999.0               !  zonal      grid-spacing (degrees)
-   ppe2_m      =  999999.0               !  meridional grid-spacing (degrees)
    ppsur       =   -2033.194295283385    !  ORCA r4, r2 and r05 coefficients
    ppa0        =     155.8325369664153   ! (default coefficients)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 6596)
@@ -24,11 +24,4 @@
    cp_cfg      =  "gyre"                 !  name of the configuration
    jp_cfg      =       1                 !  resolution of the configuration
-   jpidta      =      32                 !  1st lateral dimension ( >= jpi ) = 30*jp_cfg+2
-   jpjdta      =      22                 !  2nd    "         "    ( >= jpj ) = 20*jp_cfg+2 
-   jpkdta      =      31                 !  number of levels      ( >= jpk )
-   jpiglo      =      32                 !  1st dimension of global domain --> i  = jpidta
-   jpjglo      =      22                 !  2nd    -                  -    --> j  = jpjdta
-   jpizoom     =       1                 !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1                 !  in data domain indices
    jperio      =       0                 !  lateral cond. type (between 0 and 6)
 /
@@ -47,11 +40,4 @@
    nn_bathy    =    0      !  compute (=0) or read (=1) the bathymetry file
    rn_rdt      = 7200.     !  time step for the dynamics 
-   jphgr_msh   =       5                 !  type of horizontal mesh
-   ppglam0     =       0.0               !  longitude of first raw and column T-point (jphgr_msh = 1)
-   ppgphi0     =      29.0               ! latitude  of first raw and column T-point (jphgr_msh = 1)
-   ppe1_deg    =  999999.0               !  zonal      grid-spacing (degrees)
-   ppe2_deg    =  999999.0               !  meridional grid-spacing (degrees)
-   ppe1_m      =  999999.0               !  zonal      grid-spacing (degrees)
-   ppe2_m      =  999999.0               !  meridional grid-spacing (degrees)
    ppsur       =   -2033.194295283385    !  ORCA r4, r2 and r05 coefficients
    ppa0        =     155.8325369664153   ! (default coefficients)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg	(revision 6596)
@@ -17,11 +17,4 @@
    cp_cfg      =  "gyre"                 !  name of the configuration
    jp_cfg      =       1                 !  resolution of the configuration
-   jpidta      =      32                 !  1st lateral dimension ( >= jpi ) = 30*jp_cfg+2
-   jpjdta      =      22                 !  2nd    "         "    ( >= jpj ) = 20*jp_cfg+2 
-   jpkdta      =      31                 !  number of levels      ( >= jpk )
-   jpiglo      =      32                 !  1st dimension of global domain --> i  = jpidta
-   jpjglo      =      22                 !  2nd    -                  -    --> j  = jpjdta
-   jpizoom     =       1                 !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1                 !  in data domain indices
    jperio      =       0                 !  lateral cond. type (between 0 and 6)
 /
@@ -37,11 +30,4 @@
    nn_bathy    =    0      !  compute (=0) or read (=1) the bathymetry file
    rn_rdt      = 7200.     !  time step for the dynamics 
-   jphgr_msh   =       5                 !  type of horizontal mesh
-   ppglam0     =       0.0               !  longitude of first raw and column T-point (jphgr_msh = 1)
-   ppgphi0     =      29.0               ! latitude  of first raw and column T-point (jphgr_msh = 1)
-   ppe1_deg    =  999999.0               !  zonal      grid-spacing (degrees)
-   ppe2_deg    =  999999.0               !  meridional grid-spacing (degrees)
-   ppe1_m      =  999999.0               !  zonal      grid-spacing (degrees)
-   ppe2_m      =  999999.0               !  meridional grid-spacing (degrees)
    ppsur       =   -2033.194295283385    !  ORCA r4, r2 and r05 coefficients
    ppa0        =     155.8325369664153   ! (default coefficients)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg	(revision 6596)
@@ -17,11 +17,4 @@
    cp_cfg      =  "gyre"                 !  name of the configuration
    jp_cfg      =       1                 !  resolution of the configuration
-   jpidta      =      32                 !  1st lateral dimension ( >= jpi ) = 30*jp_cfg+2
-   jpjdta      =      22                 !  2nd    "         "    ( >= jpj ) = 20*jp_cfg+2 
-   jpkdta      =      31                 !  number of levels      ( >= jpk )
-   jpiglo      =      32                 !  1st dimension of global domain --> i  = jpidta
-   jpjglo      =      22                 !  2nd    -                  -    --> j  = jpjdta
-   jpizoom     =       1                 !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1                 !  in data domain indices
    jperio      =       0                 !  lateral cond. type (between 0 and 6)
 /
@@ -41,12 +34,4 @@
    nn_bathy    =    0      !  compute (=0) or read (=1) the bathymetry file
    rn_rdt      = 7200.     !  time step for the dynamics 
-!   nn_baro     =   60      !  number of barotropic time step            ("key_dynspg_ts")
-   jphgr_msh   =       5                 !  type of horizontal mesh
-   ppglam0     =       0.0               !  longitude of first raw and column T-point (jphgr_msh = 1)
-   ppgphi0     =      29.0               ! latitude  of first raw and column T-point (jphgr_msh = 1)
-   ppe1_deg    =  999999.0               !  zonal      grid-spacing (degrees)
-   ppe2_deg    =  999999.0               !  meridional grid-spacing (degrees)
-   ppe1_m      =  999999.0               !  zonal      grid-spacing (degrees)
-   ppe2_m      =  999999.0               !  meridional grid-spacing (degrees)
    ppsur       =   -2033.194295283385    !  ORCA r4, r2 and r05 coefficients
    ppa0        =     155.8325369664153   ! (default coefficients)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg	(revision 6596)
@@ -35,11 +35,4 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------  
-   jphgr_msh   =       0               !  type of horizontal mesh
-   ppglam0     =  999999.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
-   ppgphi0     =  999999.0             ! latitude  of first raw and column T-point (jphgr_msh = 1)
-   ppe1_deg    =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_deg    =  999999.0             !  meridional grid-spacing (degrees)
-   ppe1_m      =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_m      =  999999.0             !  meridional grid-spacing (degrees)
    ppsur       =   -4762.96143546300   !  ORCA r4, r2 and r05 coefficients
    ppa0        =     255.58049070440   ! (default coefficients)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg	(revision 6596)
@@ -34,11 +34,4 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   jphgr_msh   =       0               !  type of horizontal mesh
-   ppglam0     =  999999.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
-   ppgphi0     =  999999.0             ! latitude  of first raw and column T-point (jphgr_msh = 1)
-   ppe1_deg    =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_deg    =  999999.0             !  meridional grid-spacing (degrees)
-   ppe1_m      =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_m      =  999999.0             !  meridional grid-spacing (degrees)
    ppsur       =   -4762.96143546300   !  ORCA r4, r2 and r05 coefficients
    ppa0        =     255.58049070440   ! (default coefficients)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_cfg	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_cfg	(revision 6596)
@@ -33,11 +33,4 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   jphgr_msh   =       0               !  type of horizontal mesh
-   ppglam0     =  999999.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
-   ppgphi0     =  999999.0             ! latitude  of first raw and column T-point (jphgr_msh = 1)
-   ppe1_deg    =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_deg    =  999999.0             !  meridional grid-spacing (degrees)
-   ppe1_m      =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_m      =  999999.0             !  meridional grid-spacing (degrees)
    ppsur       =   -4762.96143546300   !  ORCA r4, r2 and r05 coefficients
    ppa0        =     255.58049070440   ! (default coefficients)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg	(revision 6596)
@@ -49,11 +49,4 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   jphgr_msh   =       0               !  type of horizontal mesh
-   ppglam0     =  999999.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
-   ppgphi0     =  999999.0             ! latitude  of first raw and column T-point (jphgr_msh = 1)
-   ppe1_deg    =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_deg    =  999999.0             !  meridional grid-spacing (degrees)
-   ppe1_m      =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_m      =  999999.0             !  meridional grid-spacing (degrees)
    ppsur       =   -4762.96143546300   !  ORCA r4, r2 and r05 coefficients
    ppa0        =     255.58049070440   ! (default coefficients)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg	(revision 6596)
@@ -30,11 +30,4 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   jphgr_msh   =       0               !  type of horizontal mesh
-   ppglam0     =  999999.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
-   ppgphi0     =  999999.0             ! latitude  of first raw and column T-point (jphgr_msh = 1)
-   ppe1_deg    =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_deg    =  999999.0             !  meridional grid-spacing (degrees)
-   ppe1_m      =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_m      =  999999.0             !  meridional grid-spacing (degrees)
    ppsur       =   -4762.96143546300   !  ORCA r4, r2 and r05 coefficients
    ppa0        =     255.58049070440   ! (default coefficients)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg	(revision 6596)
@@ -35,11 +35,5 @@
    nn_msh      =    1      !  create (=1) a mesh file or not (=0)
    rn_rdt      = 21600.    !  time step for the dynamics 
-   jphgr_msh   =       0               !  type of horizontal mesh
-   ppglam0     =  999999.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
-   ppgphi0     =  999999.0             ! latitude  of first raw and column T-point (jphgr_msh = 1)
-   ppe1_deg    =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_deg    =  999999.0             !  meridional grid-spacing (degrees)
-   ppe1_m      =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_m      =  999999.0             !  meridional grid-spacing (degrees)
+                           !
    ppsur       =   -4762.96143546300   !  ORCA r4, r2 and r05 coefficients
    ppa0        =     255.58049070440   ! (default coefficients)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg	(revision 6596)
@@ -32,11 +32,4 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   jphgr_msh   =       0               !  type of horizontal mesh
-   ppglam0     =  999999.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
-   ppgphi0     =  999999.0             ! latitude  of first raw and column T-point (jphgr_msh = 1)
-   ppe1_deg    =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_deg    =  999999.0             !  meridional grid-spacing (degrees)
-   ppe1_m      =  999999.0             !  zonal      grid-spacing (degrees)
-   ppe2_m      =  999999.0             !  meridional grid-spacing (degrees)
    ppsur       =   -4762.96143546300   !  ORCA r4, r2 and r05 coefficients
    ppa0        =     255.58049070440   ! (default coefficients)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 6596)
@@ -77,11 +77,4 @@
    cp_cfz      = "no zoom" !  name of the zoom of configuration
    jp_cfg      =      0    !  resolution of the configuration
-   jpidta      =     10    !  1st lateral dimension ( >= jpi )
-   jpjdta      =     12    !  2nd    "         "    ( >= jpj )
-   jpkdta      =     31    !  number of levels      ( >= jpk )
-   jpiglo      =     10    !  1st dimension of global domain --> i =jpidta
-   jpjglo      =     12    !  2nd    -                  -    --> j =jpjdta
-   jpizoom     =      1    !  left bottom (i,j) indices of the zoom
-   jpjzoom     =      1    !  in data domain indices
    jperio      =      0    !  lateral cond. type (between 0 and 6)
                                  !  = 0 closed                 ;   = 1 cyclic East-West
@@ -141,17 +134,6 @@
    rn_rdt      = 5760.     !  time step for the dynamics (and tracer if nn_acc=0)
    rn_atfp     =    0.1    !  asselin time filter parameter
-   ln_crs      = .false.      !  Logical switch for coarsening module
-   jphgr_msh   =       0               !  type of horizontal mesh
-                                       !  = 0 curvilinear coordinate on the sphere read in coordinate.nc
-                                       !  = 1 geographical mesh on the sphere with regular grid-spacing
-                                       !  = 2 f-plane with regular grid-spacing
-                                       !  = 3 beta-plane with regular grid-spacing
-                                       !  = 4 Mercator grid with T/U point at the equator
-   ppglam0     =       0.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
-   ppgphi0     =     -35.0             ! latitude  of first raw and column T-point (jphgr_msh = 1)
-   ppe1_deg    =       1.0             !  zonal      grid-spacing (degrees)
-   ppe2_deg    =       0.5             !  meridional grid-spacing (degrees)
-   ppe1_m      =    5000.0             !  zonal      grid-spacing (degrees)
-   ppe2_m      =    5000.0             !  meridional grid-spacing (degrees)
+   ln_crs      = .false.   !  Logical switch for coarsening module
+                           !   
    ppsur       =    -4762.96143546300  !  ORCA r4, r2 and r05 coefficients
    ppa0        =      255.58049070440  ! (default coefficients)
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/dom_ice_2.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/dom_ice_2.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/dom_ice_2.F90	(revision 6596)
@@ -27,5 +27,4 @@
       !                                        !  (otherwise = jpj+10 (SH) or -10 (SH) )
 
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)         ::   fs2cor , fcor     !: coriolis factor and coeficient
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)         ::   covrai            !: sine of geographic latitude
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)         ::   area              !: surface of grid cell 
@@ -48,6 +47,5 @@
       ierr(:) = 0
       !
-      ALLOCATE( fs2cor(jpi,jpj)     , fcor(jpi,jpj) ,                                   &
-         &      covrai(jpi,jpj)     , area(jpi,jpj) , tms(jpi,jpj) , tmu(jpi,jpj) ,     &
+      ALLOCATE( covrai(jpi,jpj)     , area(jpi,jpj) , tms(jpi,jpj) , tmu(jpi,jpj) ,     &
          &      wght  (jpi,jpj,2,2)                                               , STAT=ierr(1) )
          !
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90	(revision 6596)
@@ -79,5 +79,5 @@
                ENDIF
                !
-               IF( fcor(ji,jj) >= 0.e0 ) THEN     !--  Northern hemisphere.
+               IF( ff_t(ji,jj) >= 0._wp ) THEN     !--  Northern hemisphere.
                   hicif(ji,jj)   = zidto * hginn
                   frld(ji,jj)    = zidto * alinn + ( 1.0 - zidto ) * 1.0
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limmsh_2.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limmsh_2.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limmsh_2.F90	(revision 6596)
@@ -70,7 +70,4 @@
       ENDIF
       
-      IF( jphgr_msh == 2 .OR. jphgr_msh == 3 .OR. jphgr_msh == 5 )   &
-          &      CALL ctl_stop(' Coriolis parameter in LIM not set for f- or beta-plane' )
-
       !----------------------------------------------------------                          
       !    Initialization of local and some global (common) variables 
@@ -79,6 +76,4 @@
       njeq   = INT( jpj / 2 )   !i bug mpp potentiel
       njeqm1 = njeq - 1 
-
-      fcor(:,:) = 2. * omega * SIN( gphit(:,:) * rad )   !  coriolis factor at T-point
  
 !i    DO jj = 1, jpj
@@ -87,12 +82,12 @@
 !i    END DO
 
-      IF( fcor(1,1) * fcor(1,nlcj) < 0.e0 ) THEN   ! local domain include both hemisphere
+      IF( ff_t(1,1) * ff_t(1,nlcj) < 0.e0 ) THEN   ! local domain include both hemisphere
          l_jeq = .TRUE.
          njeq  = 1
-         DO WHILE ( njeq <= jpj .AND. fcor(1,njeq) < 0.e0 )
+         DO WHILE ( njeq <= jpj .AND. ff_t(1,njeq) < 0.e0 )
             njeq = njeq + 1
          END DO
          IF(lwp ) WRITE(numout,*) '          the equator is inside the domain at about njeq = ', njeq
-      ELSEIF( fcor(1,1) < 0.e0 ) THEN
+      ELSEIF( ff_t(1,1) < 0.e0 ) THEN
          l_jeq = .FALSE.
          njeq = jpj
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limrhg_2.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limrhg_2.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limrhg_2.F90	(revision 6596)
@@ -163,5 +163,5 @@
          DO ji = 1 , jpi
             ! only the sinus changes its sign with the hemisphere
-            zsang(ji,jj)  = SIGN( 1._wp, fcor(ji,jj) ) * sangvg   ! only the sinus changes its sign with the hemisphere
+            zsang(ji,jj)  = SIGN( 1._wp, ff_t(ji,jj) ) * sangvg   ! only the sinus changes its sign with the hemisphere
             !
             zmasst(ji,jj) = tms(ji,jj) * ( rhosn * hsnm(ji,jj) + rhoic * hicm(ji,jj) )
@@ -198,6 +198,6 @@
                &           + zmasst(ji,jj-1) * wght(ji,jj,2,1) + zmasst(ji-1,jj-1) * wght(ji,jj,1,1) ) * zusw
             zcorl(ji,jj) = zmass(ji,jj) &
-               &           *( fcor(ji,jj  ) * wght(ji,jj,2,2) + fcor(ji-1,jj  )*wght(ji,jj,1,2)   &
-               &            + fcor(ji,jj-1) * wght(ji,jj,2,1) + fcor(ji-1,jj-1)*wght(ji,jj,1,1) ) * zusw
+               &           *( ff_t(ji,jj  ) * wght(ji,jj,2,2) + ff_t(ji-1,jj  )*wght(ji,jj,1,2)   &
+               &            + ff_t(ji,jj-1) * wght(ji,jj,2,1) + ff_t(ji-1,jj-1)*wght(ji,jj,1,1) ) * zusw
 
             ! Wind stress.
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 6596)
@@ -347,5 +347,5 @@
       ! Tricky trick : add 2 to frld in the Southern Hemisphere
       !--------------------------------------------------------
-      IF( fcor(1,1) < 0.e0 ) THEN
+      IF( ff_t(1,1) < 0._wp ) THEN
          DO jj = 1, njeqm1
             DO ji = 1, jpi
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 6596)
@@ -234,5 +234,5 @@
          !-------------------------------------------------------------------!
          DO jj = 1, jpj
-            zindhe = MAX( 0.e0, SIGN( 1.e0, fcor(1,jj) ) )              ! = 0 for SH, =1 for NH
+            zindhe = MAX( 0._wp, SIGN( 1._wp, ff_t(1,jj) ) )              ! = 0 for SH, =1 for NH
             DO ji = 1, jpi
                !
